# Generated by go2rpm 1.3
%bcond_without check

# https://github.com/fyne-io/fyne
%global goipath         fyne.io/fyne
%global forgeurl        https://github.com/fyne-io/fyne
Version:                1.4.3

%gometa

%global common_description %{expand:
Cross platform GUI in Go based on Material Design.}

%global golicenses      LICENSE theme/font/LICENSE.txt\\\
                        theme/font/LICENSE_DejaVu-Powerline.txt
%global godocs          CODE_OF_CONDUCT.md CONTRIBUTING.md AUTHORS\\\
                        CHANGELOG.md README.md

Name:           %{goname}
Release:        1%{?dist}
Summary:        Cross platform GUI in Go based on Material Design

# Upstream license specification: BSD-3-Clause and Apache-2.0
# BSD: main library and DejaVu-Powerline
# ASL 2.0: Noto fonts
License:        BSD and ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/fsnotify/fsnotify)
BuildRequires:  golang(github.com/fyne-io/glfw/v3.3/glfw)
BuildRequires:  golang(github.com/fyne-io/mobile/app)
BuildRequires:  golang(github.com/fyne-io/mobile/event/key)
BuildRequires:  golang(github.com/fyne-io/mobile/event/lifecycle)
BuildRequires:  golang(github.com/fyne-io/mobile/event/paint)
BuildRequires:  golang(github.com/fyne-io/mobile/event/size)
BuildRequires:  golang(github.com/fyne-io/mobile/event/touch)
BuildRequires:  golang(github.com/fyne-io/mobile/gl)
BuildRequires:  golang(github.com/go-gl/gl/v3.2-core/gl)
BuildRequires:  golang(github.com/godbus/dbus/v5)
BuildRequires:  golang(github.com/goki/freetype)
BuildRequires:  golang(github.com/goki/freetype/truetype)
BuildRequires:  golang(github.com/jackmordaunt/icns)
BuildRequires:  golang(github.com/josephspurrier/goversioninfo)
BuildRequires:  golang(github.com/Kodeworks/golang-image-ico)
BuildRequires:  golang(github.com/lucor/goinfo)
BuildRequires:  golang(github.com/lucor/goinfo/format)
BuildRequires:  golang(github.com/lucor/goinfo/report)
BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  golang(github.com/srwiley/oksvg)
BuildRequires:  golang(github.com/srwiley/rasterx)
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/require)
BuildRequires:  golang(golang.org/x/image/draw)
BuildRequires:  golang(golang.org/x/image/font)
BuildRequires:  golang(golang.org/x/image/math/fixed)
BuildRequires:  golang(golang.org/x/mod/modfile)
BuildRequires:  golang(golang.org/x/mod/module)
BuildRequires:  golang(golang.org/x/tools/go/packages)

%description
%{common_description}

%gopkg

%prep
%goprep
sed -i "s|github.com/go-gl/glfw|github.com/fyne-io/glfw|" $(find . *.go -type f)

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done
mv %{gobuilddir}/bin/hello %{gobuilddir}/bin/fynehello

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
# Needs modules
for test in "Test_pkgModPath" \
            "TestFileIcon_NewFileIcon" \
            "TestFileIcon_SetURI" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
# Needs X11
%gocheck -d internal/driver/glfw
%endif

%files
%license LICENSE theme/font/LICENSE.txt theme/font/LICENSE_DejaVu-Powerline.txt
%doc CODE_OF_CONDUCT.md CONTRIBUTING.md AUTHORS CHANGELOG.md README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Sat Jan 30 21:38:17 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.4.3-1
- Initial package
